input.switch[type="checkbox"]:after {
    border: 2px solid #ffffff;
}
.switch-container .bootstrap-switch .bootstrap-switch-handle-on, .switch-container .bootstrap-switch .bootstrap-switch-handle-off, .switch-container .bootstrap-switch .bootstrap-switch-label {
    line-height: 13px;
}
.switch-container {
    background-color: #9B59B6;
    padding: 25px 10px 25px;
    margin-top: -25px;
    margin-bottom: -5px;
    text-align: center;
}
.switch-container label{
    display: block;
    color: #fff;
}
.switch-container .bootstrap-switch {
    border-color: #9444b5;
}

.input-group-bm2 {
    width: 100%;
    margin-bottom: 2px;
}
.varco-title {
    margin-top: 4px;
    margin-bottom: 4px;
}
.summary {
    padding: 0;
    margin: 5px 0;
    position: relative;
}
.gran-semaforo-varco {
    font-size: 64px;
    line-height: 64px;
}
.gran-semaforo-varco.semaforoVerde {
    background-color: transparent;
    color: #32CD32;
}
.gran-semaforo-varco.semaforoRosso {
    background-color: transparent;
    color: #DC143C;
}
.gran-semaforo-varco.semaforoGiallo {
    background-color: transparent;
    color: #F3C200;
}
.gran-semaforo-varco.semaforoBlu {
    background-color: transparent;
    color: #002F4D;
}
.preavviso-icon {
    cursor: pointer;
}

.color-black {
    color: #444 !important;
}

.modal-varco .modal-content {
    background-color: #F1F4F9;
}
.bootbox-listamotrici {
    top: 100px;
}
.icon-btn-size {
    font-size: 1.5em;
}
.align-top {
    vertical-align: top;
}

#form-semafori .form-group {
    margin-bottom: 5px;
}

.table.table-caption {
    font-size: 11px;
    margin-top: 11px;
}
.table.table-caption td {
    line-height: 0.7;
    white-space: nowrap;
}

.table.table-caption .terminal-color {
    width: 10px;
    height: 7px;
    display: block;
    background-color: #777;
}
.tablesorter-header {
    cursor: pointer;
    background-color: white;

}
/*
.tablesorter-headerAsc {
    cursor: pointer;
    background-color: #ECECEC;
    background-image: url(assets/img/asc.gif) !important;
    -webkit-background-size: 13px 13px;
    background-size: 13px;
    background-repeat: no-repeat !important;
    background-position: right center !important;
}
.tablesorter-headerDesc {
    cursor: pointer;
    background-color: #ECECEC;
    background-image: url(assets/img/desc.gif) !important;
    -webkit-background-size: 13px 13px;
    background-size: 13px;
    background-repeat: no-repeat !important;
    background-position: right center !important;
}*/
.expired-text{
    color: #f34300;
    font-weight: 700;
}

.preavviso_dogana {
    font-weight: 700;
}
.preavviso_dogana_stato {
    font-weight: 700;
}

.mrn {
    font-weight: bold;
}
.mrn:hover {
    color: #08455C;
}
.mrn.verde {
    color: #4CAF50;
}
.mrn.verde:hover {
    color: #3B843E;
}
.mrn.rosso {
    color: #ff9800;
}
.mrn.rosso:hover {
    color: #C64819;
}

.btn-transparent {
    color: #333;
    background-color: transparent;
    border-color: transparent;
}

.btn-transparent:hover,
.btn-transparent:focus,
.btn-transparent:active,
.btn-transparent.active,
.open .dropdown-toggle.btn-transparent {
    color: #333;
    background-color: transparent;
    border-color: transparent;
}

.btn-transparent:active,
.btn-transparent.active,
.open .dropdown-toggle.btn-transparent {
    background-image: none;
}

.btn-transparent.disabled,
.btn-transparent[disabled],
fieldset[disabled] .btn-transparent,
.btn-transparent.disabled:hover,
.btn-transparent[disabled]:hover,fieldset[disabled] .btn-transparent:hover,
.btn-transparent.disabled:focus,.btn-transparent[disabled]:focus,
fieldset[disabled] .btn-transparent:focus,
.btn-transparent.disabled:active,
.btn-transparent[disabled]:active,
fieldset[disabled] .btn-transparent:active,
.btn-transparent.disabled.active,
.btn-transparent[disabled].active,
fieldset[disabled] .btn-transparent.active {
    background-color: transparent;
    border-color: transparent;
}

.btn-secondary {
    color: #FFF;
    background-color: #6C757D;
    border-color: #6C757D;
}
.btn-secondary:focus, .btn-secondary.focus {
    box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
}
.btn-secondary:hover {
    color: #FFF;
    background-color: #5A6268;
    border-color: #545B62;
}
.btn-secondary:active, .btn-secondary.active, .open > .btn-secondary.dropdown-toggle {
    color: #FFF;
    background-color: #545B62;
    border-color: #4E555B;
}
.btn-secondary:active, .btn-secondary.active, .open > .btn-secondary.dropdown-toggle {
    background-image: none;
}

.font-weight-bold {
    font-weight: bold;
}

.text-underline {
    text-decoration: underline;
}
.link{
    color: #0a6ebd;
    font-weight: bold;
}
.link_bu:hover {
    /* text-decoration: underline; */
    /*border-bottom: 2px solid black;*/
    color: #0a6ebd;
}
.link_bu2:hover {
    /*text-decoration: underline; */
    /* border-bottom: 2px solid black; */
    color: #0a6ebd;
    /* background: #b2dbfb; */
}
.hovered-blue:hover{
    color: #109DD9;
}
.link_bu {
    color: #444444;
    font-weight: bold;
    transition: all 0.0s;
}
.btn-documento {
    color: #fff;
    background-color: #17a2b8;
    border-color: #17a2b8;
    margin: 0px 0px 5px 0px;
    font-weight: 600;
}
.btn-documento:hover{
    background-color: #13baff;
}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 35px;
}

.load {
    cursor: progress;
}

.red-bold{
    color:red;
    font-weight:bold;
}

.strong{
    font-size:35px;
    font-weight:bold;
    align-content:center;
}

.strong-sm{
    font-size:22px;
    font-weight:bold;
    align-content:center;
    margin-left: 1rem;
}

#marquee div {
    font-size:30px;

}

#marquee .row{
    padding: 1rem;
    border : 1px solid lightgrey;
}

.traffic-light {  
    
    width: 50px;
    height: 50px;
    display: inline-block;
    border-radius: 50%;
    margin: 0;
    position: relative; /* Added to properly position the inner span */
}

.traffic-light span {
    width: 100%;
    height: 100%;
    display: inline-block;
    border-radius: 50%;
    position: absolute; /* Added to fill the outer span */
    top: 0;
    left: 0;
}

.traffic-light-container{
   position:relative
}

.flex-center{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}
.flex-left{
    display: flex;
    align-items: center;
    justify-content: left;
    gap: 2rem;
}
.red {
    background-color: #e7505a !important;
}

.green {
    background-color: #60DE4B;
    border: 3px solid white;
}

.green-bg {
    background-color: #A9D1A1; 
}

.light-green-bg {
    background-color: #D2E8CE;
}


.white-bg{
    background-color: white;
}

.center{
    text-align: center;
    align-content: center;
}

#aggiornamento-time{
    margin: 22px 0 29px 0 !important
}

.traffic-light i {
    margin-left: 6rem;
    font-size:26px
}

#loading-bar{
    margin-left: 10rem;
    margin-top: 2rem;
    width:400px;
}

.bigger-light{
    width:50px !important;
    height:50px !important;
}
.bigger-light span{
    width:50px !important;
    height:50px !important;
}